Routes

Get insurance company parameters

POSThttps://api.insurely.com/insurance-collection/get-parameters

Get a list of included parameters for a specified insurance at a specific insurance company. Typical use case is wanting to compare insurance content between a collected insurance and an alternative.

Request

Header Parameters

insurely-languagestring
Possible Enum values are sv, en, no, da, et, fr, de, lv, lt or ru.
Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2021-01-01.

Request Body

insuranceCompanyCoverageCompany

Insurance company that this collection is from

insuranceNamestring

Name of the insurance to get parameters for

insuranceSubTypestring

Insurance sub type to get parameters for

insuranceTypestring

Insurance type to get parameters for

Responses

Insurance parameters successfully fetched.

Body

isAddonPurchasedboolean

The value has been changed to true because the collected insurance has the addon.

parameterDescriptionstring

Description of the parameter in the local language.

parameterDisplayNamestring

Display name for the parameter presented in the local language.

parameterGroupstring

The group the parameter belongs to.

parameterGroupOrderinteger[int32]

The display order of the parameter group.

parameterNamestring

The name of the parameter as returned for a specific insurance. In english.

parameterOrderinteger[int32]

The display order of the parameter within the parameter group.

valuestring

Potential values are true (parameter included in insurance coverage), false (parameter not included in insurance coverage) or possible (parameter could be included in coverage but we are unable to determine for certain)

cURL
curl https://api.insurely.com/insurance-collection/get-parameters \
  -H "client-id: <client-id>" \
  -H "Content-Type: application/json" \
  -d '{
  "insuranceCompany": "se-agria",
  "insuranceName": "Halvförsäkring",
  "insuranceSubType": "carInsurance",
  "insuranceType": "vehicleInsurance"
}' \
  -X POST